package com.ruoyi.inventory.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 出库单明细库存DTO对象 outbound_order_items_inventory
 * 
 * @author ruoyi
 * @date 2025-12-03
 */
public class OutboundOrderItemsInventory
{
    private static final long serialVersionUID = 1L;

    /** 出库单明细 */
    private OutboundOrderItems outboundOrderItems;

    /** 库存信息 */
    private Inventory inventory;

    public OutboundOrderItems getOutboundOrderItems()
    {
        return outboundOrderItems;
    }

    public void setOutboundOrderItems(OutboundOrderItems outboundOrderItems)
    {
        this.outboundOrderItems = outboundOrderItems;
    }

    public Inventory getInventory()
    {
        return inventory;
    }

    public void setInventory(Inventory inventory)
    {
        this.inventory = inventory;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("outboundOrderItems", getOutboundOrderItems())
            .append("inventory", getInventory())
            .toString();
    }
}